org.keycloak.connections.jpa.updater.liquibase.custom

## Class AddRealmCodeSecret

- java.lang.Object
- - org.keycloak.connections.jpa.updater.liquibase.custom.AddRealmCodeSecret

- All Implemented Interfaces:
    liquibase.change.custom.CustomChange, liquibase.change.custom.CustomSqlChange

      public class AddRealmCodeSecret
      extends Object
      implements liquibase.change.custom.CustomSqlChange

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddRealmCodeSecret()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `liquibase.statement.SqlStatement[]` | `generateStatements(liquibase.database.Database database)`
    `String` | `getConfirmationMessage()`
    `void` | `setFileOpener(liquibase.resource.ResourceAccessor resourceAccessor)`
    `void` | `setUp()`
    `liquibase.exception.ValidationErrors` | `validate(liquibase.database.Database database)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddRealmCodeSecret

          public AddRealmCodeSecret()

  - ### Method Detail

    - #### generateStatements

          public liquibase.statement.SqlStatement[] generateStatements(liquibase.database.Database database)
                                                                throws liquibase.exception.CustomChangeException

      Specified by:
        `generateStatements` in interface `liquibase.change.custom.CustomSqlChange`
      Throws:
        `liquibase.exception.CustomChangeException`

    - #### getConfirmationMessage

          public String getConfirmationMessage()

      Specified by:
        `getConfirmationMessage` in interface `liquibase.change.custom.CustomChange`

    - #### setUp

          public void setUp()
                     throws liquibase.exception.SetupException

      Specified by:
        `setUp` in interface `liquibase.change.custom.CustomChange`
      Throws:
        `liquibase.exception.SetupException`

    - #### setFileOpener

          public void setFileOpener(liquibase.resource.ResourceAccessor resourceAccessor)

      Specified by:
        `setFileOpener` in interface `liquibase.change.custom.CustomChange`

    - #### validate

          public liquibase.exception.ValidationErrors validate(liquibase.database.Database database)

      Specified by:
        `validate` in interface `liquibase.change.custom.CustomChange`

Copyright © 2020 JBoss by Red Hat. All rights reserved.